[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# THTObjectNode.Data

Object instance

## Declaration

Source position: contnrs.pp line 450

`public property THTObjectNode.Data: TObject read FData write FData;`

## Description

Data is the object instance associated with the key value. It is exposed in TFPObjectHashTable.Items

## See also

TFPObjectHashTable |  | Hash table for object instances
TFPObjectHashTable.Items |  | Key-based access to the objects
THTOwnedObjectNode |  | Node type for owned objects.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.